From e178150a7225957a328992b39030bb3973b04463 Mon Sep 17 00:00:00 2001
From: Benjamin Fleischer <fleiben@gmail.com>
Date: Thu, 18 Feb 2016 20:15:46 +0100
Subject: [PATCH] Remove call to g_slice_set_config()

It is unclear why G_SLICE_CONFIG_ALWAYS_MALLOC has been set before but
doing so with the latest version of GLib (2.46.2) results in the
following warning:

GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0'
failed

This fixes issue osxfuse/sshfs#17
---
 sshfs.c | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/sshfs.c b/sshfs.c
index ce38925..77f3dbf 100644
--- a/sshfs.c
+++ b/sshfs.c
@@ -3949,9 +3949,6 @@ int main(int argc, char *argv[])
 	if (!realpath(*exec_path, sshfs_program_path)) {
 		memset(sshfs_program_path, 0, PATH_MAX);
 	}
-
-	/* Until this gets fixed somewhere else. */
-	g_slice_set_config(G_SLICE_CONFIG_ALWAYS_MALLOC, TRUE);
 #endif /* __APPLE__ */
 	g_thread_init(NULL);
 
